Skip to content

Email

All operations require authentication.

5 operationsv1/xdsl/email
Agent setup

List xDSL Email Pro accountsProduction

GET
/1.0/xdsl/email/pro

Returns the email addresses of the Email Pro accounts provided with the xDSL accesses.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/email/pro \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an xDSL Email Pro accountProduction

GET
/1.0/xdsl/email/pro/{email}

Returns the login, names, primary address, quota and usage, state and last logon and logoff dates of an Email Pro account.

Path parameters

email
required
string

Email

Response

200xdslEmailProWithIAMsuccessful operation
currentUsage
read-only
UnitAndValue_double

Mailbox usage

displayName
string

Account display name

domain
read-only
string

Email domain

firstName
string

Account first name

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
integer

Account id

initial
string

Account initials

lastLogoffDate
read-only
stringdate-time

Last logoff

lastLogonDate
read-only
stringdate-time

Last logon

lastName
string

Account last name

login
read-only
string

Account login

passwordLastUpdate
read-only
stringdate-time

Time of account's password last update

primaryEmailAddress
read-only
string

Default email for this mailbox

quota
read-only
UnitAndValue_long

Account maximum size

state
read-only
ObjectStateEnum

Account state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending tasks for this account

Example uses email = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/email/pro/{email} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "currentUsage": { "unit": "string", "value": 0 }, "displayName": "string", "domain": "string", "firstName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": 0, "initial": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "login": "string", "passwordLastUpdate": "2024-01-01T12:00:00Z", "primaryEmailAddress": "string", "quota": { "unit": "string", "value": 0 }, "state": "creating", "taskPendingId": 0}

Update an xDSL Email Pro accountProduction

PUT
/1.0/xdsl/email/pro/{email}

Changes the first name, last name, initials and display name of the Email Pro account.

Path parameters

email
required
string

Email

Request body (required)

currentUsage
read-only
UnitAndValue_double

Mailbox usage

displayName
string

Account display name

domain
read-only
string

Email domain

firstName
string

Account first name

id
read-only
integer

Account id

initial
string

Account initials

lastLogoffDate
read-only
stringdate-time

Last logoff

lastLogonDate
read-only
stringdate-time

Last logon

lastName
string

Account last name

login
read-only
string

Account login

passwordLastUpdate
read-only
stringdate-time

Time of account's password last update

primaryEmailAddress
read-only
string

Default email for this mailbox

quota
read-only
UnitAndValue_long

Account maximum size

state
read-only
ObjectStateEnum

Account state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending tasks for this account

Response

200—successful operation

Example uses email = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/email/pro/{email} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an xDSL Email Pro accountProduction

DELETE
/1.0/xdsl/email/pro/{email}

Deletes the Email Pro account and its mailbox.

Path parameters

email
required
string

Email

Response

200—successful operation

Example uses email = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/email/pro/{email} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the password of an xDSL Email Pro accountProduction

POST
/1.0/xdsl/email/pro/{email}/changePassword

Sets a new password for the Email Pro account. Returns the task that performs the change.

Path parameters

email
required
string

Email

Request body (required)

password
required
stringpassword

New email password

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Finished date of the task

function
read-only
string

Function of the task

status
read-only
TaskStatusEnum

Status of an Email Pro task.

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Todo date of the task

Example uses email = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/email/pro/{email}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}